Bug 739169 - libhwloc.so should be delivered in hwloc
Summary: libhwloc.so should be delivered in hwloc
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: hwloc
Version: 17
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jiri Hladky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 16:52 UTC by Guy Streeter
Modified: 2016-02-10 01:33 UTC (History)
2 users (show)

Fixed In Version: hwloc-1.2.1-0.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-15 19:12:57 UTC


Attachments (Terms of Use)

Description Guy Streeter 2011-09-16 16:52:33 UTC
/usr/lib64/libhwloc.so is in the hwloc-devel package, instead of the main hwloc package. My application should not need to Require the -devel package in order to use the dynamic library.

Comment 1 Jiri Hladky 2011-09-16 20:34:50 UTC
Hi Guy,

yes, my fault. Thanks for bringing it up. I will fix it over the weekend.

Jirka

Comment 2 Fedora Update System 2011-09-17 20:51:28 UTC
hwloc-1.2.1-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/hwloc-1.2.1-0.fc15

Comment 3 Fedora Update System 2011-09-17 20:52:57 UTC
hwloc-1.2.1-0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hwloc-1.2.1-0.fc16

Comment 4 Jiri Hladky 2011-09-17 20:57:23 UTC
Hi Guy,

I have fixed it and also upgraded hwloc to version 1.2.1. I have requested updates for Fedora 15 and 16.

BTW, what application are you working on?  

Jirka

Comment 5 Fedora Update System 2011-09-18 17:49:48 UTC
Package hwloc-1.2.1-0.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hwloc-1.2.1-0.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/hwloc-1.2.1-0.fc16
then log in and leave karma (feedback).

Comment 6 Guy Streeter 2011-09-19 14:26:01 UTC
(In reply to comment #4)
> Hi Guy,
> 
> I have fixed it and also upgraded hwloc to version 1.2.1. I have requested
> updates for Fedora 15 and 16.
> 
> BTW, what application are you working on?  
> 
> Jirka

I was referring to my python bindings:
git.fedorahosted.org/python-hwloc.git

--Guy

Comment 7 Guy Streeter 2011-09-19 14:26:50 UTC
(In reply to comment #5)
> Package hwloc-1.2.1-0.fc16:
> * should fix your issue,
> * was pushed to the Fedora 16 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing hwloc-1.2.1-0.fc16'
> as soon as you are able to.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/hwloc-1.2.1-0.fc16
> then log in and leave karma (feedback).

I don't have f16 but I tested and commented on the f15 build.
--Guy

Comment 8 Jiri Hladky 2011-09-20 21:33:54 UTC
Thanks Guy for testing it. It will stay another 5 days on testing and if nobody founds an issue it will automatically moved to the repositories.

I'm glad to hear that hwloc is spreading. For me it's a very usefull piece of code.

Take care
Jirka

Comment 9 Fedora Update System 2011-09-27 23:05:02 UTC
hwloc-1.2.1-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-09-30 18:49:45 UTC
hwloc-1.2.1-0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Jiri Hladky 2012-10-13 11:29:57 UTC
Hi Don,

I have moved .so library to the main package. However, rpmlint is complaining about it:

rpmlint -i RPMS/i686/hwloc-1.5-2.fc16.i686.rpm 
hwloc.i686: W: devel-file-in-non-devel-package /usr/lib/libhwloc.so
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

Actually, I had .so library in the main library originally but I had to move it back to resolve the rpmlint warning.

* Fri Oct 07 2011 Jirka Hladky <hladky.jiri@gmail.com> - 1.2.2-1
 - moved *.so to the devel package
 - libhwloc*so* in the main package

* Sat Sep 17 2011 Jirka Hladky <hladky.jiri@gmail.com> - 1.2.1-0
- 1.2.1 release
- Moved libhwloc*.so* to the main package

Please suggest how to proceed. 

BTW, I have done a research on my system:
for file in *so; do rpm -qf $file; done > ~/so_lib.txt

Files is attached.Out of 340 *so libraries checked
-212 are in the devel package
-36 is in the libs package
-96 are in the other package, most probably in the main package

wc so_lib.txt
grep devel so_lib.txt | wc
grep libs so_lib.txt | wc
grep -v "devel\|libs" so_lib.txt | wc

This suggests that *so library really belongs to the devel package.

Thanks
Jirka


Note You need to log in before you can comment on or make changes to this bug.